# CUTE-wr projects

## Add the commands into the .bashrc

### for xilinx ise
source /path/to/Xilinx/14.7/ISE_DS/settings64.sh
export XILINX=/path/to/Xilinx/14.7/ISE_DS/ISE
export PATH=$PATH:/path/to/Xilinx/14.7/ISE_DS/ISE/bin/lin64/

### for lm32 compiler
export PATH=$PATH:/path/to/current/dir/toolchain/bin
export CROSS_COMPILE="/path/to/current/dir/toolchain/bin/lm32-elf-"

## Code structure
* Gateware:
    `submodules/wr-cores`
    cute-wr branch that work on hardware version 2.1

* Firmware:
    `submodules/wrpc-sw`
    Full support of substituting wrpc RAM in target bit file using data2mem. See http://www.ohwr.org/issues/1006

* Software:
    multiboot support
    TBD

## Building
    git submodule update --recursive --init
    make
